Skip to content

Link a budget to a custom field

Request

Assigns a custom field to a budget. The budget must belong to the same business. Only permitted when the custom field's budget_setting is SOME.

Security
BearerAuth
Path
client_idintegerrequired

The ID of the business.

Example:123
custom_field_idstring, (uuid)required

The ID of the custom field.

Example:3fa85f64-5717-4562-b3fc-2c963f66afa6
Bodyapplication/jsonrequired
budgetstring, (uuid)required

The ID of the budget to link to this custom field.

Example:"3fa85f64-5717-4562-b3fc-2c963f66afa6"
POST
/v1/businesses/{client_id}/custom-fields/{custom_field_id}/budgets
curl -i -X POST \
  https://public.letsweel.com/v1/businesses/123/custom-fields/3fa85f64-5717-4562-b3fc-2c963f66afa6/budgets \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "budget": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }'

Responses

Created

Bodyapplication/json
idstring, (uuid)

The unique identifier of the linked budget.

Example:"3fa85f64-5717-4562-b3fc-2c963f66afa6"
namestring

The name of the linked budget.

Example:"Marketing Q1"
Response
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Marketing Q1" }